> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get ERC-721 balance

> Lists ERC-721 token balances of a wallet address.



## OpenAPI

````yaml get /apechain/v1/address/{walletAddress}/balance/erc721
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/address/{walletAddress}/balance/erc721:
    get:
      tags:
        - Balances
      summary: Get ERC-721 balance
      description: Lists ERC-721 token balances of a wallet address.
      operationId: getErc721TokenBalanceForAddress
      parameters:
        - description: A wallet address.
          in: path
          name: walletAddress
          required: true
          schema:
            type: string
        - description: A contract address to filter by.
          in: query
          name: contract-address
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Erc721TokenBalancesResponse'
              examples:
                example1:
                  value:
                    cursor: null
                    resultCount: 2
                    erc721TokenBalances:
                      - address: '0x21ae43250bdd07ae502da9abe0c6b959bbf8a515'
                        ercType: ERC-721
                        metadata:
                          attributes: >-
                            [{"trait_type":"Background","value":"Gray"},{"trait_type":"Skin","value":"Cream"},{"trait_type":"Head","value":"Aquamarine"},{"trait_type":"Jaw","value":"Blue"},{"trait_type":"Teeth","value":"Orange
                            Grill"},{"trait_type":"Trait Count","value":"5"}]
                          description: >-
                            5000 LEGENDARY BAYC ROCKS ON APECHAIN (NOT OFFICIAL
                            COLLECTION OF BAYC OR YUGA LABS)
                          imageUri: >-
                            ipfs://bafybeifuj7lv6mepmjythp2rkvfsevsgp5tlladss5dahjcokph5azd5zi/1475.webp
                          mintedBlockNumber: 263169
                          mintedTimestamp: '2024-10-29T07:52:01Z'
                          name: 'BAYC ROCKS #1475'
                        tokenId: '1475'
                        tokenUri: >-
                          ipfs://bafybeih7ra6nasfkblqtb5x2cs2abjdtwtklcvrlozsbda56gs3nc24gfe/1475.json
                      - address: '0x344eac8cf21d3ef42a75e4226b5779690e3b8b01'
                        ercType: ERC-721
                        metadata:
                          attributes: >-
                            [{"trait_type":"Earring","value":"Silver
                            Stud"},{"trait_type":"Fur","value":"Dark
                            Brown"},{"trait_type":"Clothes","value":"Admirals
                            Coat"},{"trait_type":"Background","value":"New Punk
                            Blue"},{"trait_type":"Mouth","value":"Rage"},{"trait_type":"Eyes","value":"Hypnotized"}]
                          imageUri: >-
                            ipfs://QmSjhmjE5uM6XS2DnSCNYvPffrdKb4tmotaMA73sec7T2N
                          mintedBlockNumber: 2542081
                          mintedTimestamp: '2024-10-28T18:20:17Z'
                          symbol: BAYC
                        tokenId: '248'
                        tokenUri: >-
                          ipfs://QmeSjSinHpPnmXmspMjwiXyN6zS4E9zccariGR3jxcaWtq/248
          description: A list of ERC-721 token balances.
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    Erc721TokenBalancesResponse:
      properties:
        cursor:
          nullable: true
          type: string
        erc721TokenBalances:
          items:
            $ref: '#/components/schemas/NFTTokenBalance'
          type: array
        resultCount:
          description: amount of nfts equal to page size.
          type: integer
      required:
        - resultCount
        - erc721TokenBalances
      type: object
    NFTTokenBalance:
      properties:
        address:
          description: Contract address of the NFT token.
          type: string
        balance:
          description: balance of NFT
          type: string
          x-omitempty: true
        ercType:
          description: ERC standard type.
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        tokenId:
          description: Unique identifier of the token.
          type: string
        tokenUri:
          description: URI pointing to the token metadata.
          type: string
      required:
        - address
        - ercType
        - tokenId
        - tokenUri
        - metadata
        - name
        - symbol
      type: object
    Metadata:
      properties:
        attributes:
          description: Additional attributes of the token.
          type: string
          x-omitempty: true
        decimals:
          description: Decimals of the token.
          format: int64
          type: integer
          x-nullable: true
        description:
          description: Description of the token.
          type: string
          x-omitempty: true
        externalUrl:
          description: External URL related to the token.
          type: string
          x-omitempty: true
        imageUri:
          description: URI for the token image.
          type: string
          x-omitempty: true
        mintedBlockNumber:
          description: Minted block number of the token.
          format: int64
          type: integer
          x-omitempty: true
        mintedTimestamp:
          description: Minted timestamp of the token.
          format: date-time
          type: string
          x-omitempty: true
        name:
          description: Name of the token.
          type: string
          x-omitempty: true
        symbol:
          description: Symbol of the token.
          type: string
          x-omitempty: true
      required:
        - mintedBlockNumber
        - name
        - symbol
        - imageUri
        - description
        - externalUrl
        - attributes
      type: object

````